# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [1.3.0](http://ser.yinengyun.com:10080/tech/pi_babylon/compare/v1.2.0...v1.3.0) (2022-04-21)


### Features

* BoneAttachment 拓展, 骨头附件 ([2ecb981](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/2ecb9818d1f900ebabbe5a8210e73c78720399e7))
* castShadows 信息适配 MeshParticle ([bdf26bb](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/bdf26bb3c44e1ee8fa6c70e89b6db610d0e5b8be))
* Mesh Load 过程 Instanced 检查 ([285e620](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/285e62053d9d303f17dbf8523218d0dd32df91d2))
* MeshParticle 曲线计算调整 ([84517e4](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/84517e474507cf403c8e0c6c878752a697c003c2))
* StandardWithMask 材质应用适配 ([7669aa2](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/7669aa2db2a098e9ec5d99a1f6ace1e30b750096))
* 优化MeshParticle表现 - 回收时机 ([3be84aa](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/3be84aa6f46b264e093553a45d341998784d47fe))


### Bug Fixes

* 调试代码清理 ([101ffd6](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/101ffd666cbaa2cfca990ba9024794c803d46488))

## [1.2.0](http://ser.yinengyun.com:10080/tech/pi_babylon/compare/v1.1.0...v1.2.0) (2022-04-06)


### Features

* MeshParticleSystem 世界矩阵计算时机调整 ([4466d1f](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/4466d1f93b53d4cae1ba78ee57e12481cd945cb3))
* 更新库: 拓展 Standard 材质 的自定义灯光强度控制 ([67cbb3f](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/67cbb3f4ff13e1dd7c2582986c0192bb7e682bbe))
* 适配美术需求: 烘培目标 可以 接受实时阴影但不接受实时光照 ([965be27](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/965be27012218c6420a0b7e862a79971dea068e6))


### Bug Fixes

* initGLTFLoadAnimaitonChannel 拓展 this 指向调整 ([e57c40a](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/e57c40ab7d9f533878168c05c80b16b1c905367f))
* 在计算前显式进行粒子系统父级世界矩阵计算 ([1c1b2b5](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/1c1b2b5bf5467262eed61d32cc2b0b1e4a4b5669))
* 引用修改 ([b1914d3](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/b1914d3644ffe628e94543fc9e5743f47888ff79))
* 重构 GLTF loadAnimationChannelAsync ([dcbe60b](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/dcbe60b5d828d80b7364616dc4307dbf057a7025))

## 1.1.0 (2022-03-15)


### Features

* 3D记载图片不应该直接走资源管理器。 ([a50eefd](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/a50eefd6a179d79badf0d6b8ba5ef9b67c4d8921))
* 删除 cc 式的 日志。 ([43bcdc5](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/43bcdc5d60a433506b0773b5d165a376b546b148))
* 更新Babylonjs库代码 ([d3986eb](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/d3986eb37f6cddef81c7a70375a303abb7f64b2c))
* 添加 standard-version 库依赖 ([0216a8a](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/0216a8ad5512b7c14518ae52aaf0410dbd0bdcda))
* 添加 standard-version 脚本 ([f08c137](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/f08c13780ff6679468f29ae7cb21e7e316c3655c))
* 让npm可以用 ([c42ec9e](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/c42ec9e1ccc4c840bf51af9dca418b2cc6bcc49d))
* 调整库的引用路径。 ([f139f28](http://ser.yinengyun.com:10080/tech/pi_babylon/commit/f139f285c424bd6b7e5de24fdea825d5d78a082e))
