import { IAbstractMesh } from "./abstractmesh";

export interface IInstancedBuffer {
    // [index: string]: number | Vector2 | Vector3 | Vector4;
}

export interface IInstanceSource extends IAbstractMesh {
    createInstance(name: string): IInstancedMesh;
    instances: Map<any, IInstancedMesh>;
    _removeInstance(instance: IInstancedMesh): void;
}

export interface IInstancedMesh extends IAbstractMesh {
    sourceMesh: IInstanceSource;
    instancedBuffer: IInstancedBuffer;
    // instanceAttribute(key: string, value: number | Vector2 | Vector3 | Vector4): void;
}