import { BABYLON } from "../render3d/babylon";

export interface ILine {
    unique: number;
    dispose(): void;
}

export interface ILineRenderer {
    /**
     * 
     * @param color 
     * @param start 
     * @param end 
     * @param normal 
     * @param image 因为可能有UV流动需求, 因此此处不使用精灵图
     */
    create(
        image: string,
        startx: number,
        starty: number,
        startz: number,
        endx: number,
        endy: number,
        endz: number,
        normalx: number,
        normaly: number,
        normalz: number,
        r: number,
        g: number,
        b: number,
        a: number,
        width: number,
        repeatU: number,
        repeatV: number,
    ): ILine;
}