import { MathDataPool } from "../render3d/extends/math";
import { BABYLON } from "../render3d/babylon";
// import * as BABYLON from "../pi_babylon/render3d/babylon";
import { Particle } from "./particle";

export class Pool {
    public static particleList: Particle[] = [];

    public static createParticle() {
        let value = Pool.particleList.pop();
        if (!value) {
            value = new Particle();
        }

        return value;
    }

    public static recycleParticle(value: Particle) {
        value.recycle();
        Pool.particleList.push(value);
    }

    public static createVector3() {
        let result = MathDataPool.Vector3(0, 0, 0);
        return result;
    }

    public static recycleVector3(value: BABYLON.Vector3) {
        MathDataPool.Recycle(value);
    }
}