/**
 *
 */

// ###################################################
import { BABYLON } from './babylon';
import { ResTab } from '../interface/index';

// ###################################################

// ###################################################
export type IGeometryArgCfg = [
    // context:
    string,
    // primitive:
    BABYLON.GLTF2.Loader.IMeshPrimitive,
    // babylonScene:
    BABYLON.Scene,
    // indices_accessor:
    BABYLON.GLTF2.IAccessor,
    // loader:
    BABYLON.GLTF2.GLTFLoader
];

export class ResLoader {
    public resTab: ResTab;

    constructor(resTab: ResTab) {
        this.resTab = resTab;
    }

    public dispose() {
        // this.resTab.clear();
        let resTab = this.resTab;
        Promise.resolve().then(() => { resTab.clear() });
    }
}

const geometryKey2 = (id: string): string => {
    return `${id}`;
};