import { BABYLON } from "./render3d/babylon";

export function initialTransformNodeExtend() {
    BABYLON.TransformNode.prototype.setPosition = function(x: number, y: number, z: number) {
        this.position.copyFromFloats(x, y, z);
        return this;
    }
    BABYLON.TransformNode.prototype.setRotation = function(x: number, y: number, z: number) {
        this.rotation.copyFromFloats(x, y, z);
        return this;
    }
    BABYLON.TransformNode.prototype.setScaling = function(x: number, y: number, z: number) {
        this.scaling.copyFromFloats(x, y, z);
        return this;
    }
    BABYLON.TransformNode.prototype.setRotationQuaternion = function(x: number, y: number, z: number, w: number) {
        this.rotationQuaternion.copyFromFloats(x, y, z, w);
        return this;
    }
}