import { IMaterial } from "../glTF2Interface";
import { BABYLON } from "../../render3d/babylon";
import { GLTFLoader } from "../glTFLoader"

export class PI_material {
    public static MaterialFactoryMap: Map<string, (context: string, babylonScene: BABYLON.Scene, materialName: string | undefined, index: number, materialInfo: IMaterial, babylonDrawMode: number, notParticleSys?: boolean) => BABYLON.Material> = new Map();
    public static MaterialPropertiesLoadAsyncMap: Map<string, (context: string, material: IMaterial, mat: BABYLON.Material, _loader: GLTFLoader, notParticleSys?: boolean) => void> = new Map();
    _loader: GLTFLoader;
    public createMaterial(context: string, indexMat: number, indexNode: number, material: IMaterial, babylonDrawMode: number, notParticleSys?: boolean): BABYLON.Material {
        throw new Error("Not Impl Function!");
    }
    public loadMaterialPropertiesAsync(context: string, material: any, mat: BABYLON.Material, notParticleSys?: boolean) {
        throw new Error("Not Impl Function!")
    }
    public static regist(
        shaderName: string,
        create: (context: string, babylonScene: BABYLON.Scene, materialName: string | undefined, index: number, materialInfo: IMaterial, babylonDrawMode: number, notParticleSys?: boolean) => BABYLON.Material,
        propertiesAsync: (context: string, material: IMaterial, mat: BABYLON.Material, _loader: GLTFLoader, notParticleSys?: boolean) => void
    ) {
        PI_material.MaterialFactoryMap.set(shaderName, create);
        PI_material.MaterialPropertiesLoadAsyncMap.set(shaderName, propertiesAsync);
    }
}