
type u32 = number;
type i32 = number;
type u8 = number;

/**
 * 整数数值不能超过 1 << 30
 */
export namespace Constants {
export const  READ_BUFFER = 0x0C02;
export const  UNPACK_ROW_LENGTH = 0x0CF2;
export const  UNPACK_SKIP_ROWS = 0x0CF3;
export const  UNPACK_SKIP_PIXELS = 0x0CF4;
export const  PACK_ROW_LENGTH = 0x0D02;
export const  PACK_SKIP_ROWS = 0x0D03;
export const  PACK_SKIP_PIXELS = 0x0D04;
export const  COLOR = 0x1800;
export const  DEPTH = 0x1801;
export const  STENCIL = 0x1802;
export const  RED = 0x1903;
export const  RGB8 = 0x8051;
export const  RGBA8 = 0x8058;
export const  RGB10_A2 = 0x8059;
export const  TEXTURE_BINDING_3D = 0x806A;
export const  UNPACK_SKIP_IMAGES = 0x806D;
export const  UNPACK_IMAGE_HEIGHT = 0x806E;
export const  TEXTURE_3D = 0x806F;
export const  TEXTURE_WRAP_R = 0x8072;
export const  MAX_3D_TEXTURE_SIZE = 0x8073;
export const  UNSIGNED_INT_2_10_10_10_REV = 0x8368;
export const  MAX_ELEMENTS_VERTICES = 0x80E8;
export const  MAX_ELEMENTS_INDICES = 0x80E9;
export const  TEXTURE_MIN_LOD = 0x813A;
export const  TEXTURE_MAX_LOD = 0x813B;
export const  TEXTURE_BASE_LEVEL = 0x813C;
export const  TEXTURE_MAX_LEVEL = 0x813D;
export const  MIN = 0x8007;
export const  MAX = 0x8008;
export const  DEPTH_COMPONENT24 = 0x81A6;
export const  MAX_TEXTURE_LOD_BIAS = 0x84FD;
export const  TEXTURE_COMPARE_MODE = 0x884C;
export const  TEXTURE_COMPARE_FUNC = 0x884D;
export const  CURRENT_QUERY = 0x8865;
export const  QUERY_RESULT = 0x8866;
export const  QUERY_RESULT_AVAILABLE = 0x8867;
export const  STREAM_READ = 0x88E1;
export const  STREAM_COPY = 0x88E2;
export const  STATIC_READ = 0x88E5;
export const  STATIC_COPY = 0x88E6;
export const  DYNAMIC_READ = 0x88E9;
export const  DYNAMIC_COPY = 0x88EA;
export const  MAX_DRAW_BUFFERS = 0x8824;
export const  DRAW_BUFFER0 = 0x8825;
export const  DRAW_BUFFER1 = 0x8826;
export const  DRAW_BUFFER2 = 0x8827;
export const  DRAW_BUFFER3 = 0x8828;
export const  DRAW_BUFFER4 = 0x8829;
export const  DRAW_BUFFER5 = 0x882A;
export const  DRAW_BUFFER6 = 0x882B;
export const  DRAW_BUFFER7 = 0x882C;
export const  DRAW_BUFFER8 = 0x882D;
export const  DRAW_BUFFER9 = 0x882E;
export const  DRAW_BUFFER10 = 0x882F;
export const  DRAW_BUFFER11 = 0x8830;
export const  DRAW_BUFFER12 = 0x8831;
export const  DRAW_BUFFER13 = 0x8832;
export const  DRAW_BUFFER14 = 0x8833;
export const  DRAW_BUFFER15 = 0x8834;
export const  MAX_FRAGMENT_UNIFORM_COMPONENTS = 0x8B49;
export const  MAX_VERTEX_UNIFORM_COMPONENTS = 0x8B4A;
export const  SAMPLER_3D = 0x8B5F;
export const  SAMPLER_2D_SHADOW = 0x8B62;
export const  FRAGMENT_SHADER_DERIVATIVE_HINT = 0x8B8B;
export const  PIXEL_PACK_BUFFER = 0x88EB;
export const  PIXEL_UNPACK_BUFFER = 0x88EC;
export const  PIXEL_PACK_BUFFER_BINDING = 0x88ED;
export const  PIXEL_UNPACK_BUFFER_BINDING = 0x88EF;
export const  FLOAT_MAT2x3 = 0x8B65;
export const  FLOAT_MAT2x4 = 0x8B66;
export const  FLOAT_MAT3x2 = 0x8B67;
export const  FLOAT_MAT3x4 = 0x8B68;
export const  FLOAT_MAT4x2 = 0x8B69;
export const  FLOAT_MAT4x3 = 0x8B6A;
export const  SRGB = 0x8C40;
export const  SRGB8 = 0x8C41;
export const  SRGB8_ALPHA8 = 0x8C43;
export const  COMPARE_REF_TO_TEXTURE = 0x884E;
export const  RGBA32F = 0x8814;
export const  RGB32F = 0x8815;
export const  RGBA16F = 0x881A;
export const  RGB16F = 0x881B;
export const  VERTEX_ATTRIB_ARRAY_INTEGER = 0x88FD;
export const  MAX_ARRAY_TEXTURE_LAYERS = 0x88FF;
export const  MIN_PROGRAM_TEXEL_OFFSET = 0x8904;
export const  MAX_PROGRAM_TEXEL_OFFSET = 0x8905;
export const  MAX_VARYING_COMPONENTS = 0x8B4B;
export const  TEXTURE_2D_ARRAY = 0x8C1A;
export const  TEXTURE_BINDING_2D_ARRAY = 0x8C1D;
export const  R11F_G11F_B10F = 0x8C3A;
export const  UNSIGNED_INT_10F_11F_11F_REV = 0x8C3B;
export const  RGB9_E5 = 0x8C3D;
export const  UNSIGNED_INT_5_9_9_9_REV = 0x8C3E;
export const  TRANSFORM_FEEDBACK_BUFFER_MODE = 0x8C7F;
export const  MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS = 0x8C80;
export const  TRANSFORM_FEEDBACK_VARYINGS = 0x8C83;
export const  TRANSFORM_FEEDBACK_BUFFER_START = 0x8C84;
export const  TRANSFORM_FEEDBACK_BUFFER_SIZE = 0x8C85;
export const  TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN = 0x8C88;
export const  RASTERIZER_DISCARD = 0x8C89;
export const  MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS = 0x8C8A;
export const  MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS = 0x8C8B;
export const  INTERLEAVED_ATTRIBS = 0x8C8C;
export const  SEPARATE_ATTRIBS = 0x8C8D;
export const  TRANSFORM_FEEDBACK_BUFFER = 0x8C8E;
export const  TRANSFORM_FEEDBACK_BUFFER_BINDING = 0x8C8F;
export const  RGBA32UI = 0x8D70;
export const  RGB32UI = 0x8D71;
export const  RGBA16UI = 0x8D76;
export const  RGB16UI = 0x8D77;
export const  RGBA8UI = 0x8D7C;
export const  RGB8UI = 0x8D7D;
export const  RGBA32I = 0x8D82;
export const  RGB32I = 0x8D83;
export const  RGBA16I = 0x8D88;
export const  RGB16I = 0x8D89;
export const  RGBA8I = 0x8D8E;
export const  RGB8I = 0x8D8F;
export const  RED_INTEGER = 0x8D94;
export const  RGB_INTEGER = 0x8D98;
export const  RGBA_INTEGER = 0x8D99;
export const  SAMPLER_2D_ARRAY = 0x8DC1;
export const  SAMPLER_2D_ARRAY_SHADOW = 0x8DC4;
export const  SAMPLER_CUBE_SHADOW = 0x8DC5;
export const  UNSIGNED_INT_VEC2 = 0x8DC6;
export const  UNSIGNED_INT_VEC3 = 0x8DC7;
export const  UNSIGNED_INT_VEC4 = 0x8DC8;
export const  INT_SAMPLER_2D = 0x8DCA;
export const  INT_SAMPLER_3D = 0x8DCB;
export const  INT_SAMPLER_CUBE = 0x8DCC;
export const  INT_SAMPLER_2D_ARRAY = 0x8DCF;
export const  UNSIGNED_INT_SAMPLER_2D = 0x8DD2;
export const  UNSIGNED_INT_SAMPLER_3D = 0x8DD3;
export const  UNSIGNED_INT_SAMPLER_CUBE = 0x8DD4;
export const  UNSIGNED_INT_SAMPLER_2D_ARRAY = 0x8DD7;
export const  DEPTH_COMPONENT32F = 0x8CAC;
export const  DEPTH32F_STENCIL8 = 0x8CAD;
export const  FLOAT_32_UNSIGNED_INT_24_8_REV = 0x8DAD;
export const  FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING = 0x8210;
export const  FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE = 0x8211;
export const  FRAMEBUFFER_ATTACHMENT_RED_SIZE = 0x8212;
export const  FRAMEBUFFER_ATTACHMENT_GREEN_SIZE = 0x8213;
export const  FRAMEBUFFER_ATTACHMENT_BLUE_SIZE = 0x8214;
export const  FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE = 0x8215;
export const  FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE = 0x8216;
export const  FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE = 0x8217;
export const  FRAMEBUFFER_DEFAULT = 0x8218;
export const  UNSIGNED_INT_24_8 = 0x84FA;
export const  DEPTH24_STENCIL8 = 0x88F0;
export const  UNSIGNED_NORMALIZED = 0x8C17;
export const  DRAW_FRAMEBUFFER_BINDING = 0x8CA6;
export const  READ_FRAMEBUFFER = 0x8CA8;
export const  DRAW_FRAMEBUFFER = 0x8CA9;
export const  READ_FRAMEBUFFER_BINDING = 0x8CAA;
export const  RENDERBUFFER_SAMPLES = 0x8CAB;
export const  FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER = 0x8CD4;
export const  MAX_COLOR_ATTACHMENTS = 0x8CDF;
export const  COLOR_ATTACHMENT1 = 0x8CE1;
export const  COLOR_ATTACHMENT2 = 0x8CE2;
export const  COLOR_ATTACHMENT3 = 0x8CE3;
export const  COLOR_ATTACHMENT4 = 0x8CE4;
export const  COLOR_ATTACHMENT5 = 0x8CE5;
export const  COLOR_ATTACHMENT6 = 0x8CE6;
export const  COLOR_ATTACHMENT7 = 0x8CE7;
export const  COLOR_ATTACHMENT8 = 0x8CE8;
export const  COLOR_ATTACHMENT9 = 0x8CE9;
export const  COLOR_ATTACHMENT10 = 0x8CEA;
export const  COLOR_ATTACHMENT11 = 0x8CEB;
export const  COLOR_ATTACHMENT12 = 0x8CEC;
export const  COLOR_ATTACHMENT13 = 0x8CED;
export const  COLOR_ATTACHMENT14 = 0x8CEE;
export const  COLOR_ATTACHMENT15 = 0x8CEF;
export const  FRAMEBUFFER_INCOMPLETE_MULTISAMPLE = 0x8D56;
export const  MAX_SAMPLES = 0x8D57;
export const  HALF_FLOAT = 0x140B;
export const  RG = 0x8227;
export const  RG_INTEGER = 0x8228;
export const  R8 = 0x8229;
export const  RG8 = 0x822B;
export const  R16F = 0x822D;
export const  R32F = 0x822E;
export const  RG16F = 0x822F;
export const  RG32F = 0x8230;
export const  R8I = 0x8231;
export const  R8UI = 0x8232;
export const  R16I = 0x8233;
export const  R16UI = 0x8234;
export const  R32I = 0x8235;
export const  R32UI = 0x8236;
export const  RG8I = 0x8237;
export const  RG8UI = 0x8238;
export const  RG16I = 0x8239;
export const  RG16UI = 0x823A;
export const  RG32I = 0x823B;
export const  RG32UI = 0x823C;
export const  VERTEX_ARRAY_BINDING = 0x85B5;
export const  R8_SNORM = 0x8F94;
export const  RG8_SNORM = 0x8F95;
export const  RGB8_SNORM = 0x8F96;
export const  RGBA8_SNORM = 0x8F97;
export const  SIGNED_NORMALIZED = 0x8F9C;
export const  COPY_READ_BUFFER = 0x8F36;
export const  COPY_WRITE_BUFFER = 0x8F37;
export const  COPY_READ_BUFFER_BINDING = 0x8F36;
export const  COPY_WRITE_BUFFER_BINDING = 0x8F37;
export const  UNIFORM_BUFFER = 0x8A11;
export const  UNIFORM_BUFFER_BINDING = 0x8A28;
export const  UNIFORM_BUFFER_START = 0x8A29;
export const  UNIFORM_BUFFER_SIZE = 0x8A2A;
export const  MAX_VERTEX_UNIFORM_BLOCKS = 0x8A2B;
export const  MAX_FRAGMENT_UNIFORM_BLOCKS = 0x8A2D;
export const  MAX_COMBINED_UNIFORM_BLOCKS = 0x8A2E;
export const  MAX_UNIFORM_BUFFER_BINDINGS = 0x8A2F;
export const  MAX_UNIFORM_BLOCK_SIZE = 0x8A30;
export const  MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS = 0x8A31;
export const  MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS = 0x8A33;
export const  UNIFORM_BUFFER_OFFSET_ALIGNMENT = 0x8A34;
export const  ACTIVE_UNIFORM_BLOCKS = 0x8A36;
export const  UNIFORM_TYPE = 0x8A37;
export const  UNIFORM_SIZE = 0x8A38;
export const  UNIFORM_BLOCK_INDEX = 0x8A3A;
export const  UNIFORM_OFFSET = 0x8A3B;
export const  UNIFORM_ARRAY_STRIDE = 0x8A3C;
export const  UNIFORM_MATRIX_STRIDE = 0x8A3D;
export const  UNIFORM_IS_ROW_MAJOR = 0x8A3E;
export const  UNIFORM_BLOCK_BINDING = 0x8A3F;
export const  UNIFORM_BLOCK_DATA_SIZE = 0x8A40;
export const  UNIFORM_BLOCK_ACTIVE_UNIFORMS = 0x8A42;
export const  UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES = 0x8A43;
export const  UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER = 0x8A44;
export const  UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER = 0x8A46;
export const  INVALID_INDEX:  u32 = 0xFFFFFFFF;
export const  MAX_VERTEX_OUTPUT_COMPONENTS = 0x9122;
export const  MAX_FRAGMENT_INPUT_COMPONENTS = 0x9125;
export const  MAX_SERVER_WAIT_TIMEOUT = 0x9111;
export const  OBJECT_TYPE = 0x9112;
export const  SYNC_CONDITION = 0x9113;
export const  SYNC_STATUS = 0x9114;
export const  SYNC_FLAGS = 0x9115;
export const  SYNC_FENCE = 0x9116;
export const  SYNC_GPU_COMMANDS_COMPLETE = 0x9117;
export const  UNSIGNALED = 0x9118;
export const  SIGNALED = 0x9119;
export const  ALREADY_SIGNALED = 0x911A;
export const  TIMEOUT_EXPIRED = 0x911B;
export const  CONDITION_SATISFIED = 0x911C;
export const  WAIT_FAILED = 0x911D;
export const  SYNC_FLUSH_COMMANDS_BIT = 0x00000001;
export const  VERTEX_ATTRIB_ARRAY_DIVISOR = 0x88FE;
export const  ANY_SAMPLES_PASSED = 0x8C2F;
export const  ANY_SAMPLES_PASSED_CONSERVATIVE = 0x8D6A;
export const  SAMPLER_BINDING = 0x8919;
export const  RGB10_A2UI = 0x906F;
export const  INT_2_10_10_10_REV = 0x8D9F;
export const  TRANSFORM_FEEDBACK = 0x8E22;
export const  TRANSFORM_FEEDBACK_PAUSED = 0x8E23;
export const  TRANSFORM_FEEDBACK_ACTIVE = 0x8E24;
export const  TRANSFORM_FEEDBACK_BINDING = 0x8E25;
export const  TEXTURE_IMMUTABLE_FORMAT = 0x912F;
export const  MAX_ELEMENT_INDEX = 0x8D6B;
export const  TEXTURE_IMMUTABLE_LEVELS = 0x82DF;
export const  TIMEOUT_IGNORED = -1;
export const  MAX_CLIENT_WAIT_TIMEOUT_WEBGL = 0x9247;
export const  DEPTH_BUFFER_BIT = 0x00000100;
export const  STENCIL_BUFFER_BIT = 0x00000400;
export const  COLOR_BUFFER_BIT = 0x00004000;
export const  POINTS = 0x0000;
export const  LINES = 0x0001;
export const  LINE_LOOP = 0x0002;
export const  LINE_STRIP = 0x0003;
export const  TRIANGLES = 0x0004;
export const  TRIANGLE_STRIP = 0x0005;
export const  TRIANGLE_FAN = 0x0006;
export const  ZERO = 0;
export const  ONE = 1;
export const  SRC_COLOR = 0x0300;
export const  ONE_MINUS_SRC_COLOR = 0x0301;
export const  SRC_ALPHA = 0x0302;
export const  ONE_MINUS_SRC_ALPHA = 0x0303;
export const  DST_ALPHA = 0x0304;
export const  ONE_MINUS_DST_ALPHA = 0x0305;
export const  DST_COLOR = 0x0306;
export const  ONE_MINUS_DST_COLOR = 0x0307;
export const  SRC_ALPHA_SATURATE = 0x0308;
export const  FUNC_ADD = 0x8006;
export const  BLEND_EQUATION = 0x8009;
export const  BLEND_EQUATION_RGB = 0x8009;
export const  BLEND_EQUATION_ALPHA = 0x883D;
export const  FUNC_SUBTRACT = 0x800A;
export const  FUNC_REVERSE_SUBTRACT = 0x800B;
export const  BLEND_DST_RGB = 0x80C8;
export const  BLEND_SRC_RGB = 0x80C9;
export const  BLEND_DST_ALPHA = 0x80CA;
export const  BLEND_SRC_ALPHA = 0x80CB;
export const  CONSTANT_COLOR = 0x8001;
export const  ONE_MINUS_CONSTANT_COLOR = 0x8002;
export const  CONSTANT_ALPHA = 0x8003;
export const  ONE_MINUS_CONSTANT_ALPHA = 0x8004;
export const  BLEND_COLOR = 0x8005;
export const  ARRAY_BUFFER = 0x8892;
export const  ELEMENT_ARRAY_BUFFER = 0x8893;
export const  ARRAY_BUFFER_BINDING = 0x8894;
export const  ELEMENT_ARRAY_BUFFER_BINDING = 0x8895;
export const  STREAM_DRAW = 0x88E0;
export const  STATIC_DRAW = 0x88E4;
export const  DYNAMIC_DRAW = 0x88E8;
export const  BUFFER_SIZE = 0x8764;
export const  BUFFER_USAGE = 0x8765;
export const  CURRENT_VERTEX_ATTRIB = 0x8626;
export const  FRONT = 0x0404;
export const  BACK = 0x0405;
export const  FRONT_AND_BACK = 0x0408;
export const  CULL_FACE = 0x0B44;
export const  BLEND = 0x0BE2;
export const  DITHER = 0x0BD0;
export const  STENCIL_TEST = 0x0B90;
export const  DEPTH_TEST = 0x0B71;
export const  SCISSOR_TEST = 0x0C11;
export const  POLYGON_OFFSET_FILL = 0x8037;
export const  SAMPLE_ALPHA_TO_COVERAGE = 0x809E;
export const  SAMPLE_COVERAGE = 0x80A0;
export const  NO_ERROR = 0;
export const  INVALID_ENUM = 0x0500;
export const  INVALID_VALUE = 0x0501;
export const  INVALID_OPERATION = 0x0502;
export const  OUT_OF_MEMORY = 0x0505;
export const  CW = 0x0900;
export const  CCW = 0x0901;
export const  LINE_WIDTH = 0x0B21;
export const  ALIASED_POINT_SIZE_RANGE = 0x846D;
export const  ALIASED_LINE_WIDTH_RANGE = 0x846E;
export const  CULL_FACE_MODE = 0x0B45;
export const  FRONT_FACE = 0x0B46;
export const  DEPTH_RANGE = 0x0B70;
export const  DEPTH_WRITEMASK = 0x0B72;
export const  DEPTH_CLEAR_VALUE = 0x0B73;
export const  DEPTH_FUNC = 0x0B74;
export const  STENCIL_CLEAR_VALUE = 0x0B91;
export const  STENCIL_FUNC = 0x0B92;
export const  STENCIL_FAIL = 0x0B94;
export const  STENCIL_PASS_DEPTH_FAIL = 0x0B95;
export const  STENCIL_PASS_DEPTH_PASS = 0x0B96;
export const  STENCIL_REF = 0x0B97;
export const  STENCIL_VALUE_MASK = 0x0B93;
export const  STENCIL_WRITEMASK = 0x0B98;
export const  STENCIL_BACK_FUNC = 0x8800;
export const  STENCIL_BACK_FAIL = 0x8801;
export const  STENCIL_BACK_PASS_DEPTH_FAIL = 0x8802;
export const  STENCIL_BACK_PASS_DEPTH_PASS = 0x8803;
export const  STENCIL_BACK_REF = 0x8CA3;
export const  STENCIL_BACK_VALUE_MASK = 0x8CA4;
export const  STENCIL_BACK_WRITEMASK = 0x8CA5;
export const  VIEWPORT = 0x0BA2;
export const  SCISSOR_BOX = 0x0C10;
export const  COLOR_CLEAR_VALUE = 0x0C22;
export const  COLOR_WRITEMASK = 0x0C23;
export const  UNPACK_ALIGNMENT = 0x0CF5;
export const  PACK_ALIGNMENT = 0x0D05;
export const  MAX_TEXTURE_SIZE = 0x0D33;
export const  MAX_VIEWPORT_DIMS = 0x0D3A;
export const  SUBPIXEL_BITS = 0x0D50;
export const  RED_BITS = 0x0D52;
export const  GREEN_BITS = 0x0D53;
export const  BLUE_BITS = 0x0D54;
export const  ALPHA_BITS = 0x0D55;
export const  DEPTH_BITS = 0x0D56;
export const  STENCIL_BITS = 0x0D57;
export const  POLYGON_OFFSET_UNITS = 0x2A00;
export const  POLYGON_OFFSET_FACTOR = 0x8038;
export const  TEXTURE_BINDING_2D = 0x8069;
export const  SAMPLE_BUFFERS = 0x80A8;
export const  SAMPLES = 0x80A9;
export const  SAMPLE_COVERAGE_VALUE = 0x80AA;
export const  SAMPLE_COVERAGE_INVERT = 0x80AB;
export const  COMPRESSED_TEXTURE_FORMATS = 0x86A3;
export const  DONT_CARE = 0x1100;
export const  FASTEST = 0x1101;
export const  NICEST = 0x1102;
export const  GENERATE_MIPMAP_HINT = 0x8192;
export const  BYTE = 0x1400;
export const  UNSIGNED_BYTE = 0x1401;
export const  SHORT = 0x1402;
export const  UNSIGNED_SHORT = 0x1403;
export const  INT = 0x1404;
export const  UNSIGNED_INT = 0x1405;
export const  FLOAT = 0x1406;
export const  DEPTH_COMPONENT = 0x1902;
export const  ALPHA = 0x1906;
export const  RGB = 0x1907;
export const  RGBA = 0x1908;
export const  LUMINANCE = 0x1909;
export const  LUMINANCE_ALPHA = 0x190A;
export const  UNSIGNED_SHORT_4_4_4_4 = 0x8033;
export const  UNSIGNED_SHORT_5_5_5_1 = 0x8034;
export const  UNSIGNED_SHORT_5_6_5 = 0x8363;
export const  FRAGMENT_SHADER = 0x8B30;
export const  VERTEX_SHADER = 0x8B31;
export const  MAX_VERTEX_ATTRIBS = 0x8869;
export const  MAX_VERTEX_UNIFORM_VECTORS = 0x8DFB;
export const  MAX_VARYING_VECTORS = 0x8DFC;
export const  MAX_COMBINED_TEXTURE_IMAGE_UNITS = 0x8B4D;
export const  MAX_VERTEX_TEXTURE_IMAGE_UNITS = 0x8B4C;
export const  MAX_TEXTURE_IMAGE_UNITS = 0x8872;
export const  MAX_FRAGMENT_UNIFORM_VECTORS = 0x8DFD;
export const  SHADER_TYPE = 0x8B4F;
export const  DELETE_STATUS = 0x8B80;
export const  LINK_STATUS = 0x8B82;
export const  VALIDATE_STATUS = 0x8B83;
export const  ATTACHED_SHADERS = 0x8B85;
export const  ACTIVE_UNIFORMS = 0x8B86;
export const  ACTIVE_ATTRIBUTES = 0x8B89;
export const  SHADING_LANGUAGE_VERSION = 0x8B8C;
export const  CURRENT_PROGRAM = 0x8B8D;
export const  NEVER = 0x0200;
export const  LESS = 0x0201;
export const  EQUAL = 0x0202;
export const  LEQUAL = 0x0203;
export const  GREATER = 0x0204;
export const  NOTEQUAL = 0x0205;
export const  GEQUAL = 0x0206;
export const  ALWAYS = 0x0207;
export const  KEEP = 0x1E00;
export const  REPLACE = 0x1E01;
export const  INCR = 0x1E02;
export const  DECR = 0x1E03;
export const  INVERT = 0x150A;
export const  INCR_WRAP = 0x8507;
export const  DECR_WRAP = 0x8508;
export const  VENDOR = 0x1F00;
export const  RENDERER = 0x1F01;
export const  VERSION = 0x1F02;
export const  NEAREST = 0x2600;
export const  LINEAR = 0x2601;
export const  NEAREST_MIPMAP_NEAREST = 0x2700;
export const  LINEAR_MIPMAP_NEAREST = 0x2701;
export const  NEAREST_MIPMAP_LINEAR = 0x2702;
export const  LINEAR_MIPMAP_LINEAR = 0x2703;
export const  TEXTURE_MAG_FILTER = 0x2800;
export const  TEXTURE_MIN_FILTER = 0x2801;
export const  TEXTURE_WRAP_S = 0x2802;
export const  TEXTURE_WRAP_T = 0x2803;
export const  TEXTURE_2D = 0x0DE1;
export const  TEXTURE = 0x1702;
export const  TEXTURE_CUBE_MAP = 0x8513;
export const  TEXTURE_BINDING_CUBE_MAP = 0x8514;
export const  TEXTURE_CUBE_MAP_POSITIVE_X = 0x8515;
export const  TEXTURE_CUBE_MAP_NEGATIVE_X = 0x8516;
export const  TEXTURE_CUBE_MAP_POSITIVE_Y = 0x8517;
export const  TEXTURE_CUBE_MAP_NEGATIVE_Y = 0x8518;
export const  TEXTURE_CUBE_MAP_POSITIVE_Z = 0x8519;
export const  TEXTURE_CUBE_MAP_NEGATIVE_Z = 0x851A;
export const  MAX_CUBE_MAP_TEXTURE_SIZE = 0x851C;
export const  TEXTURE0 = 0x84C0;
export const  TEXTURE1 = 0x84C1;
export const  TEXTURE2 = 0x84C2;
export const  TEXTURE3 = 0x84C3;
export const  TEXTURE4 = 0x84C4;
export const  TEXTURE5 = 0x84C5;
export const  TEXTURE6 = 0x84C6;
export const  TEXTURE7 = 0x84C7;
export const  TEXTURE8 = 0x84C8;
export const  TEXTURE9 = 0x84C9;
export const  TEXTURE10 = 0x84CA;
export const  TEXTURE11 = 0x84CB;
export const  TEXTURE12 = 0x84CC;
export const  TEXTURE13 = 0x84CD;
export const  TEXTURE14 = 0x84CE;
export const  TEXTURE15 = 0x84CF;
export const  TEXTURE16 = 0x84D0;
export const  TEXTURE17 = 0x84D1;
export const  TEXTURE18 = 0x84D2;
export const  TEXTURE19 = 0x84D3;
export const  TEXTURE20 = 0x84D4;
export const  TEXTURE21 = 0x84D5;
export const  TEXTURE22 = 0x84D6;
export const  TEXTURE23 = 0x84D7;
export const  TEXTURE24 = 0x84D8;
export const  TEXTURE25 = 0x84D9;
export const  TEXTURE26 = 0x84DA;
export const  TEXTURE27 = 0x84DB;
export const  TEXTURE28 = 0x84DC;
export const  TEXTURE29 = 0x84DD;
export const  TEXTURE30 = 0x84DE;
export const  TEXTURE31 = 0x84DF;
export const  ACTIVE_TEXTURE = 0x84E0;
export const  REPEAT = 0x2901;
export const  CLAMP_TO_EDGE = 0x812F;
export const  MIRRORED_REPEAT = 0x8370;
export const  FLOAT_VEC2 = 0x8B50;
export const  FLOAT_VEC3 = 0x8B51;
export const  FLOAT_VEC4 = 0x8B52;
export const  INT_VEC2 = 0x8B53;
export const  INT_VEC3 = 0x8B54;
export const  INT_VEC4 = 0x8B55;
export const  BOOL = 0x8B56;
export const  BOOL_VEC2 = 0x8B57;
export const  BOOL_VEC3 = 0x8B58;
export const  BOOL_VEC4 = 0x8B59;
export const  FLOAT_MAT2 = 0x8B5A;
export const  FLOAT_MAT3 = 0x8B5B;
export const  FLOAT_MAT4 = 0x8B5C;
export const  SAMPLER_2D = 0x8B5E;
export const  SAMPLER_CUBE = 0x8B60;
export const  VERTEX_ATTRIB_ARRAY_ENABLED = 0x8622;
export const  VERTEX_ATTRIB_ARRAY_SIZE = 0x8623;
export const  VERTEX_ATTRIB_ARRAY_STRIDE = 0x8624;
export const  VERTEX_ATTRIB_ARRAY_TYPE = 0x8625;
export const  VERTEX_ATTRIB_ARRAY_NORMALIZED = 0x886A;
export const  VERTEX_ATTRIB_ARRAY_POINTER = 0x8645;
export const  VERTEX_ATTRIB_ARRAY_BUFFER_BINDING = 0x889F;
export const  IMPLEMENTATION_COLOR_READ_TYPE = 0x8B9A;
export const  IMPLEMENTATION_COLOR_READ_FORMAT = 0x8B9B;
export const  COMPILE_STATUS = 0x8B81;
export const  LOW_FLOAT = 0x8DF0;
export const  MEDIUM_FLOAT = 0x8DF1;
export const  HIGH_FLOAT = 0x8DF2;
export const  LOW_INT = 0x8DF3;
export const  MEDIUM_INT = 0x8DF4;
export const  HIGH_INT = 0x8DF5;
export const  FRAMEBUFFER = 0x8D40;
export const  RENDERBUFFER = 0x8D41;
export const  RGBA4 = 0x8056;
export const  RGB5_A1 = 0x8057;
export const  RGB565 = 0x8D62;
export const  DEPTH_COMPONENT16 = 0x81A5;
export const  STENCIL_INDEX8 = 0x8D48;
export const  DEPTH_STENCIL = 0x84F9;
export const  RENDERBUFFER_WIDTH = 0x8D42;
export const  RENDERBUFFER_HEIGHT = 0x8D43;
export const  RENDERBUFFER_INTERNAL_FORMAT = 0x8D44;
export const  RENDERBUFFER_RED_SIZE = 0x8D50;
export const  RENDERBUFFER_GREEN_SIZE = 0x8D51;
export const  RENDERBUFFER_BLUE_SIZE = 0x8D52;
export const  RENDERBUFFER_ALPHA_SIZE = 0x8D53;
export const  RENDERBUFFER_DEPTH_SIZE = 0x8D54;
export const  RENDERBUFFER_STENCIL_SIZE = 0x8D55;
export const  FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE = 0x8CD0;
export const  FRAMEBUFFER_ATTACHMENT_OBJECT_NAME = 0x8CD1;
export const  FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL = 0x8CD2;
export const  FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE = 0x8CD3;
export const  COLOR_ATTACHMENT0 = 0x8CE0;
export const  DEPTH_ATTACHMENT = 0x8D00;
export const  STENCIL_ATTACHMENT = 0x8D20;
export const  DEPTH_STENCIL_ATTACHMENT = 0x821A;
export const  NONE = 0;
export const  FRAMEBUFFER_COMPLETE = 0x8CD5;
export const  FRAMEBUFFER_INCOMPLETE_ATTACHMENT = 0x8CD6;
export const  FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT = 0x8CD7;
export const  FRAMEBUFFER_INCOMPLETE_DIMENSIONS = 0x8CD9;
export const  FRAMEBUFFER_UNSUPPORTED = 0x8CDD;
export const  FRAMEBUFFER_BINDING = 0x8CA6;
export const  RENDERBUFFER_BINDING = 0x8CA7;
export const  MAX_RENDERBUFFER_SIZE = 0x84E8;
export const  INVALID_FRAMEBUFFER_OPERATION = 0x0506;
export const  UNPACK_FLIP_Y_WEBGL = 0x9240;
export const  UNPACK_PREMULTIPLY_ALPHA_WEBGL = 0x9241;
export const  CONTEXT_LOST_WEBGL = 0x9242;
export const  UNPACK_COLORSPACE_CONVERSION_WEBGL = 0x9243;
export const  BROWSER_DEFAULT_WEBGL = 0x9244;
export const COMPRESSED_RGBA_ASTC_4x4_KHR = 0x93B0;
export const COMPRESSED_RGBA_ASTC_5x4_KHR = 0x93B1;
export const COMPRESSED_RGBA_ASTC_5x5_KHR = 0x93B2;
export const COMPRESSED_RGBA_ASTC_6x5_KHR = 0x93B3;
export const COMPRESSED_RGBA_ASTC_6x6_KHR = 0x93B4;
export const COMPRESSED_RGBA_ASTC_8x5_KHR = 0x93B5;
export const COMPRESSED_RGBA_ASTC_8x6_KHR = 0x93B6;
export const COMPRESSED_RGBA_ASTC_8x8_KHR = 0x93B7;
export const COMPRESSED_RGBA_ASTC_10x5_KHR = 0x93B8;
export const COMPRESSED_RGBA_ASTC_10x6_KHR = 0x93B9;
export const COMPRESSED_RGBA_ASTC_10x8_KHR = 0x93BA;
export const COMPRESSED_RGBA_ASTC_10x10_KHR = 0x93BB;
export const COMPRESSED_RGBA_ASTC_12x10_KHR = 0x93BC;
export const COMPRESSED_RGBA_ASTC_12x12_KHR = 0x93BD;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR = 0x93D0;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR = 0x93D1;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR = 0x93D2;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR = 0x93D3;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR = 0x93D4;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR = 0x93D5;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR = 0x93D6;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR = 0x93D7;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR = 0x93D8;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR = 0x93D9;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR = 0x93DA;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR = 0x93DB;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR = 0x93DC;
export const COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR = 0x93DD;

export const  SHADER_STAGE_NONE = 0;
export const  SHADER_STAGE_VERTEX = 1;
export const  SHADER_STAGE_FRAGMENT = 2;
export const  SHADER_STAGE_COMPUTE = 4;
export const  SHADER_STAGE_VERTEXFRAGMENT = 3;

export const  RENDER_ALIGNMENT_VIEW = 0;
export const  RENDER_ALIGNMENT_WORLD = 1;
export const  RENDER_ALIGNMENT_LOCAL = 2;
export const  RENDER_ALIGNMENT_FACING = 3;
export const  RENDER_ALIGNMENT_VELOCITY = 4;
export const  RENDER_ALIGNMENT_STRENTCHED_BILLBOARD = 5;
export const  RENDER_ALIGNMENT_HORIZONTAL_BILLBOARD = 6;
export const  RENDER_ALIGNMENT_VERTICAL_BILLBOARD = 7;

export const  SCALING_MODE_HIERARCHY = 0;
export const  SCALING_MODE_LOCAL = 1;
export const  SCALING_MODE_SHAPE = 2;

export const  RGBA8_SRGB = 0;
export const  BGRA8 = 1;
export const  BGRA8_SRGB = 2;

export const  DEPTH32F = 1;
export const  DEPTH24 = 2;
export const  DEPTH16_UNORM = 3;
export const  STENCIL8 = 3;

export const  CLAMP_TO_BORDER = 3;

export const  ANISOTROPY_NONE = 0;
export const  ANISOTROPY_ONE = 1;
export const  ANISOTROPY_TWO = 2;
export const  ANISOTROPY_FOUR = 3;
export const  ANISOTROPY_EIGHT = 4;
export const  ANISOTROPY_SIXTEEN = 5;

export const  PASS_TAG_01 = 0b0000_0000_0000_0001;
export const  PASS_TAG_02 = 0b0000_0000_0000_0010;
export const  PASS_TAG_03 = 0b0000_0000_0000_0100;
export const  PASS_TAG_04 = 0b0000_0000_0000_1000;
export const  PASS_TAG_05 = 0b0000_0000_0001_0000;
export const  PASS_TAG_06 = 0b0000_0000_0010_0000;
export const  PASS_TAG_07 = 0b0000_0000_0100_0000;
export const  PASS_TAG_08 = 0b0000_0000_1000_0000;

/// [0, 0, 0, 0]
export const  BORDER_TRANSPARENT_BLACK = 1;
/// [0, 0, 0, 1]
export const  BORDER_OPAQUE_BLACK = 2;
/// [1, 1, 1, 1]
export const  BORDER_OPAQUE_WHITE = 3;

/// On the Metal backend, this is equivalent to `TransparentBlack` for
/// textures that have an alpha component, and equivalent to `OpaqueBlack`
/// for textures that do not have an alpha component. On other backends,
/// this is equivalent to `TransparentBlack`. Requires
/// [`Features::ADDRESS_MODE_CLAMP_TO_ZERO`]. Not supported on the web.
export const  BORDER_ZERO = 4;

export const  BIND_SCENE_EFFECT                = 0b0000_0000_0000_0001;
export const  BIND_LIGHTING                    = 0b0000_0000_0000_0010;
export const  BIND_SHADOWMAP                   = 0b0000_0000_0000_0100;
export const  BIND_ENVIRONMENT_BRDF_TEXTURE    = 0b0000_0000_0000_1000;
export const  BIND_ENVIRONMENT_LIGHTING        = 0b0000_0000_0001_0000;
export const  BIND_SCREEN_OPAQUE_TARGET        = 0b0000_0000_0010_0000;
export const  BIND_SCREEN_DEPTH_TARGET         = 0b0000_0000_0100_0000;
export const  BIND_EFFECT_TEXTURE              = 0b0000_0000_1000_0000;
export const  BIND_EFFECT_VALUE                = 0b0000_0001_0000_0000;
export const  BIND_VIEWER                      = 0b0000_0010_0000_0000;
export const  BIND_MODEL                       = 0b0000_0100_0000_0000;

export const  LIGHT_DIRECTION = 0;
export const  LIGHT_POINT = 1;
export const  LIGHT_SPOT = 2;
export const  LIGHT_HEMISPHERE = 3;

export const DEFAULT_TEXTURE_BLACK = 0;
export const DEFAULT_TEXTURE_WHITE = 1;

export const  TEXTURE_USEAGE_COPY_DST = 1;
export const  TEXTURE_USEAGE_COPY_SRC = 2;
export const  TEXTURE_USEAGE_BINDING = 4;
export const  TEXTURE_USEAGE_STORAGE = 8;

export const  TextureViewDimensionD1 = 1;
export const  TextureViewDimensionD2 = 2;
export const  TextureViewDimensionD2Array = 3;
export const  TextureViewDimensionCube = 4;
export const  TextureViewDimensionCubeArray = 5;
export const  TextureViewDimensionD3 = 6;

export const VERTEX_ATTR_POSITION               =  1;
export const VERTEX_ATTR_POSITION_D2            =  2;
export const VERTEX_ATTR_COLOR4                 =  3;
export const VERTEX_ATTR_UV                     =  4;
export const VERTEX_ATTR_NORMAL                 =  5;
export const VERTEX_ATTR_TANGENT                =  6;
export const VERTEX_ATTR_MATRICESINDICES        =  7;
export const VERTEX_ATTR_MATRICESWEIGHTS        =  8;
export const VERTEX_ATTR_MATRICESINDICESEXTRA   =  9;
export const VERTEX_ATTR_MATRICESWEIGHTSEXTRA   = 10;
export const VERTEX_ATTR_UV2                    = 11;
export const VERTEX_ATTR_UV3                    = 12;
export const VERTEX_ATTR_UV4                    = 13;
export const VERTEX_ATTR_UV5                    = 14;
export const VERTEX_ATTR_UV6                    = 15;
export const VERTEX_ATTR_CUSTOMVEC4A            = 16;
export const VERTEX_ATTR_CUSTOMVEC4B            = 17;
export const VERTEX_ATTR_CUSTOMVEC4C            = 18;
export const VERTEX_ATTR_CUSTOMVEC4D            = 19;
// export const VERTEX_ATTR_CUSTOMVEC2A            : u8 = 20;
// export const VERTEX_ATTR_CUSTOMVEC2B            : u8 = 21;
// export const VERTEX_ATTR_INSWORLDROW1           = 22;
// export const VERTEX_ATTR_INSWORLDROW2           = 23;
// export const VERTEX_ATTR_INSWORLDROW3           = 24;
// export const VERTEX_ATTR_INSWORLDROW4           = 25;
// export const VERTEX_ATTR_INSCOLOR               = 26;
// export const VERTEX_ATTR_INSTILLOFFSET1         = 27;
// export const VERTEX_ATTR_INSTILLOFFSET2         = 28;
// export const VERTEX_ATTR_INSCUSTOMVEC4A         = 29;
// export const VERTEX_ATTR_INSCUSTOMVEC4B         = 30;
// export const VERTEX_ATTR_INSCUSTOMVEC4C         = 31;
// export const VERTEX_ATTR_INSCUSTOMVEC4D         = 32;
export const VERTEX_ATTR_MATRICESINDICES1       = 33;
export const VERTEX_ATTR_MATRICESWEIGHTS1       = 34;
export const VERTEX_ATTR_MATRICESINDICES2       = 35;
export const VERTEX_ATTR_MATRICESWEIGHTS2       = 36;
export const VERTEX_ATTR_MATRICESINDICESEXTRA2  = 37;
export const VERTEX_ATTR_MATRICESWEIGHTSEXTRA2  = 38;
export const VERTEX_ATTR_MATRICESINDICES3       = 39;
export const VERTEX_ATTR_MATRICESWEIGHTS3       = 40;
export const VERTEX_ATTR_MATRICESINDICESEXTRA3  = 41;
export const VERTEX_ATTR_MATRICESWEIGHTSEXTRA3  = 42;

// 不支持
// export const VERTEX_FORMAT_BYTE                        : u16 = 0x1400;
// export const VERTEX_FORMAT_UNSIGNED_BYTE               : u16 = 0x1401;
// export const VERTEX_FORMAT_SHORT                       : u16 = 0x1402;
// export const VERTEX_FORMAT_UNSIGNED_SHORT              : u16 = 0x1403;
// export const VERTEX_FORMAT_U8X2                        : u16 = 01;
export const VERTEX_FORMAT_U8X4                        =  2;
// export const VERTEX_FORMAT_S8X2                        : u16 = 03;
export const VERTEX_FORMAT_S8X4                        =  4;
export const VERTEX_FORMAT_UNORM8X2                    =  5;
export const VERTEX_FORMAT_UNORM8X4                    =  6;
export const VERTEX_FORMAT_SNORM8X2                    =  7;
export const VERTEX_FORMAT_SNORM8X4                    =  8;
export const VERTEX_FORMAT_U16X2                       =  9;
export const VERTEX_FORMAT_U16X4                       = 10;
export const VERTEX_FORMAT_S16X2                       = 11;
export const VERTEX_FORMAT_S16X4                       = 12;
export const VERTEX_FORMAT_UNORM16X2                   = 13;
export const VERTEX_FORMAT_UNORM16X4                   = 14;
export const VERTEX_FORMAT_SNORM16X2                   = 15;
export const VERTEX_FORMAT_SNORM16X4                   = 16;
export const VERTEX_FORMAT_F32                         = 0x1406;
export const VERTEX_FORMAT_F32X2                       = 18;
export const VERTEX_FORMAT_F32X3                       = 19;
export const VERTEX_FORMAT_F32X4                       = 20;
export const VERTEX_FORMAT_U32                         = 0x1405;
export const VERTEX_FORMAT_U32X2                       = 22;
export const VERTEX_FORMAT_U32X3                       = 23;
export const VERTEX_FORMAT_U32X4                       = 24;
export const VERTEX_FORMAT_S32                         = 0x1404;
export const VERTEX_FORMAT_S32X2                       = 26;
export const VERTEX_FORMAT_S32X3                       = 27;
export const VERTEX_FORMAT_S32X4                       = 28;
export const VERTEX_FORMAT_F64                         = 29;
export const VERTEX_FORMAT_F64X2                       = 30;
export const VERTEX_FORMAT_F64X3                       = 31;
export const VERTEX_FORMAT_F64X4                       = 32;
export const VERTEX_FORMAT_F16X2                       = 33;
export const VERTEX_FORMAT_F16X4                       = 34;

export const INSTANCE_ATTR_F00                      =  1;
export const INSTANCE_ATTR_F01                      =  2;
export const INSTANCE_ATTR_F02                      =  3;
export const INSTANCE_ATTR_F03                      =  4;
export const INSTANCE_ATTR_F04                      =  5;
export const INSTANCE_ATTR_F05                      =  6;
export const INSTANCE_ATTR_F06                      =  7;
export const INSTANCE_ATTR_F07                      =  8;
export const INSTANCE_ATTR_F08                      =  9;
export const INSTANCE_ATTR_F09                      = 10;
export const INSTANCE_ATTR_F10                      = 11;
export const INSTANCE_ATTR_F11                      = 12;
export const INSTANCE_ATTR_F12                      = 13;
export const INSTANCE_ATTR_F13                      = 14;
export const INSTANCE_ATTR_F14                      = 15;
export const INSTANCE_ATTR_F15                      = 16;

export const INSTANCE_INDEX                         = 0b0000_0000_0000_0000_0000_0000_0000_0001;
export const INSTANCE_BASE                          = 0b0000_0000_0000_0000_0000_0000_0000_0010;
export const INSTANCE_COLOR                         = 0b0000_0000_0000_0000_0000_0000_0000_0100;
export const INSTANCE_TILL_OFF_1                    = 0b0000_0000_0000_0000_0000_0000_0000_1000;
export const INSTANCE_SKIN                          = 0b0000_0000_0000_0000_0000_0000_0001_0000;
export const INSTANCE_CUSTOM_UVEC4_A                = 0b0000_0000_0000_0000_0000_0000_0010_0000;
export const INSTANCE_CUSTOM_IVEC4_B                = 0b0000_0000_0000_0000_0000_0000_0100_0000;
export const INSTANCE_TILL_OFF_2                    = 0b0000_0000_0000_0000_0000_0000_1000_0000;
export const INSTANCE_VELOCITY                      = 0b0000_0000_0000_0000_0000_0001_0000_0000;
export const INSTANCE_CUSTOM_VEC4_A                 = 0b0000_0001_0000_0000_0000_0000_0000_0000;
export const INSTANCE_CUSTOM_VEC4_B                 = 0b0000_0010_0000_0000_0000_0000_0000_0000;
export const INSTANCE_CUSTOM_VEC4_C                 = 0b0000_0100_0000_0000_0000_0000_0000_0000;
export const INSTANCE_CUSTOM_VEC4_D                 = 0b0000_1000_0000_0000_0000_0000_0000_0000;

export const U_VIEW_MATRIX                            = "PI_MATRIX_V"          ;
export const U_VIEW_ROTATION_MATRIX_INV               = "PI_MATRIX_V_R_INV"    ;
export const U_PROJECT_MATRIX                         = "PI_MATRIX_P"          ;
export const U_VIEW_PROJECT_MATRIX                    = "PI_MATRIX_VP"         ;
export const U_CAMERA_POSITION                        = "PI_CAMERA_POSITION"   ;
export const U_CAMERA_DIRECTION                       = "PI_VIEW_DIRECTION"    ;
export const U_BRDF_TEXUTRE                           = "_BRDFTexture"         ;
export const U_CAMERA_OPAQUE_TEXUTRE                  = "_CameraOpaqueTexture" ;
export const U_CAMERA_DEPTH_TEXUTRE                   = "_CameraDepthTexture"  ;
export const U_ENVIRONMENT_TEXUTRE                    = "_EnvironmentTexture"  ;
export const U_IBL_X                                  = "_SphericalX"          ;
export const U_IBL_Y                                  = "_SphericalY"          ;
export const U_IBL_Z                                  = "_SphericalZ"          ;
export const U_IBL_XY                                 = "_SphericalXY"         ;
export const U_IBL_YZ                                 = "_SphericalYZ"         ;
export const U_IBL_ZX                                 = "_SphericalZX"         ;
export const U_IBL_XX_ZZ                              = "_SphericalXX_ZZ"      ;
export const U_IBL_YY_ZZ                              = "_SphericalYY_ZZ"      ;
export const U_IBL_ZZ                                 = "_SphericalZZ"         ;
export const U_LIGHTING_INFOS                         = "_LightingInfos"       ;
export const U_DIRECT_LIGHT_DIRECTION                 = "_DirectLightDirection";
export const U_DIRECT_LIGHT_COLOR                     = "_DirectLightColor"    ;
export const U_POINT_LIGHT_POSITION                   = "_PointLightPosition"  ;
export const U_POINT_LIGHT_COLOR                      = "_PointLightColor"     ;
export const U_POINT_LIGHT_DATA                       = "_PointLightData"      ;
export const U_SPOT_LIGHT_POSITION                    = "_SpotLightPosition"   ;
export const U_SPOT_LIGHT_COLOR                       = "_SpotLightColor"      ;
export const U_SPOT_LIGHT_DATA                        = "_SpotLightData"       ;
export const U_SPOT_LIGHT_DIRECTION                   = "_SpotLightDirection"  ;
export const U_HEMI_LIGHT_POSITION                    = "_HemiLightPosition"   ;
export const U_HEMI_LIGHT_COLOR                       = "_HemiLightColor"      ;
export const U_HEMI_LIGHT_DATA                        = "_HemiLightData"       ;
export const U_HEMI_LIGHT_DIRECTION                   = "_HemiLightDirection"  ;
export const U_SHADOWMAP_TEXTURE                      = "_ShadowMap"           ;
export const U_MODEL_LIGHTS_COUNT                     = "_MLightsCount"        ;
export const U_MODEL_LIGHTS_INDEXS                    = "_MLightsIndexs"       ;
export const U_MODEL_DIRECTLIGHT_COUNT                = "_MDirectLightCount"   ;
export const U_MODEL_POINTLIGHT_COUNT                 = "_MPointLightCount"    ;
export const U_MODEL_SPOTLIGHT_COUNT                  = "_MSpotLightCount"     ;
export const U_MODEL_HEMILIGHT_COUNT                  = "_MHemiLightCount"     ;
export const U_DIRECT_LIGHT_INDEXS                    = "_DirectLightingIdxs"  ;
export const U_POINT_LIGHT_INDEXS                     = "_PointLightingIdxs"   ;
export const U_SPOT_LIGHT_INDEXS                      = "_SpotLightingIdxs"    ;
export const U_HEMI_LIGHT_INDEXS                      = "_HemiLightingIdxs"    ;
export const U_SHADOWMAP_LIGHT_INDEXS                 = "_ShadowLightIdxs"     ;
export const U_SHADOWMAP_MATRIX                       = "_ShadowMapMatrix"     ;
export const U_SHADOWMAP_BIAS_ANS_SCALE               = "_BiasAndScaleSM"      ;
export const U_SHADOWMAP_DEPTH_VALUES                 = "_DepthValuesSM"       ;
export const U_SHADOWMAP_TILLOFF                      = "_ShadowMapTilloff"    ;
export const U_TIME                                   = "PI_Time"              ;
export const U_DELTA_TIME                             = "PI_DeltaTime"         ;
export const U_FOG_INFO                               = "PI_FogInfo"           ;
export const U_FOG_PARAM                              = "PI_FogParam"          ;
export const U_AMBIENT_PARAM                          = "PI_Ambient"           ;
export const U_WORLD_MATRIX                           = "PI_ObjectToWorld"     ;
export const U_WORLD_MATRIX_INV                       = "PI_WorldToObject"     ;
export const U_VELOCITY                               = "PI_ObjectVelocity"    ;
export const U__VELOCITY                              = "U_PI_ObjectVelocity"  ;
export const U__SKIN_BONE_OFFSET0                     = "U_PI_SkinBoneOffset0" ;
export const U__SKIN_BONE_OFFSET1                     = "U_PI_SkinBoneOffset1" ;
export const U_BONE_MATRICES                          = "boneMatrices"         ;
export const U_BONE_TEX_SIZE                          = "bondTexSize"          ;
export const U_BONE_TEX                               = "_boneTex"             ;
export const U_BONE_TEX_SAMPLER                       = "sampler_boneTex"      ;
export const U_RENDER_ALIGNMENT                       = "RENDER_ALIGNMENT"     ;
export const U_RENDER_PIVOT                           = "RENDER_PIVOT"         ;

export const U_OPACITY                      = "uOpacity";
export const U_CUTOFF                       = "uCutoff";
export const U_OPACITY_LEVEL                = "uOpacityLevel";
export const U_OPACITY_TILLOFF              = "uOpacityTilloff";
export const U_OPACITY_CHANNEL              = "uOpacityChannel";
export const U_OPACITY_TEX                  = "_OpacityTex";
export const U_OPACITY_TEX_LV              = "_OpacityTexLevel";
export const U_OPACITY_UVOS                 = "uOpacityUVOS";
export const U_OPACITY2_LEVEL               = "uOpacity2Level";
export const U_OPACITY2_TILLOFF             = "uOpacity2Tilloff";
export const U_OPACITY2_CHANNEL             = "uOpacity2Channel";
export const U_OPACITY2_TEX                 = "_Opacity2Tex";
export const U_OPACITY2_UVOS                = "uOpacity2UVOS";
export const U_MIX_TILLOFF                  = "uMixTilloff";
export const U_MIX_TEX                      = "_MixTex";
export const U_MIX_UVOS                     = "uMixUVOS";
export const U_MASK_TILLOFF                 = "uMaskTilloff";
export const U_MASK_TEX                     = "_MaskTex";
export const U_MASK_TEX_LV                  = "_MaskTexLevel";
export const U_MASK_UVOS                    = "uMaskUVOS";
export const U_MASK_CUTOFF                  = "uMaskCutoff";
export const U_MAIN_TILLOFF                 = "uMainTilloff";
export const U_MAIN_TEX                     = "_MainTex";
export const U_MAIN_TEX_LV                  = "_MainTexLevel";
export const U_MAIN_UVOS                    = "uMainUVOS";
export const U_MAIN_COLOR                   = "uMainInfo";
export const U_EMISSIVE_TILLOFF             = "uEmissiveTilloff";
export const U_EMISSIVE_TEX                 = "_EmissiveTex";
export const U_EMISSIVE_TEX_LV              = "_EmissiveTexLevel";
export const U_EMISSIVE_UVOS                = "uEmissiveUVOS";
export const U_EMISSIVE_COLOR               = "uEmissiveInfo";
export const U_FRESNEL_LEFT                 = "fresnelLeft";
export const U_FRESNEL_RIGHT                = "fresnelRight";
export const U_FRESNEL_PARAM                = "fresnelParam";
export const U_OPACITY_FRESNEL_LEFT         = "opacityFresnelLeft";
export const U_OPACITY_FRESNEL_RIGHT        = "opacityFresnelRight";
export const U_OPACITY_FRESNEL_PARAM        = "opacityFresnelParam";

export const INSTANCE_ATTR_VEC4    = 1;
export const INSTANCE_ATTR_VEC3    = 2;
export const INSTANCE_ATTR_VEC2    = 3;
export const INSTANCE_ATTR_FLOAT   = 4;
export const INSTANCE_ATTR_UINT    = 5;
export const INSTANCE_ATTR_SINT    = 6;

export type PassTag = typeof PASS_TAG_01 | typeof PASS_TAG_02 | typeof PASS_TAG_03 | typeof PASS_TAG_04 | typeof PASS_TAG_05 | typeof PASS_TAG_06 | typeof PASS_TAG_07 | typeof PASS_TAG_08;
export type CullMode = typeof NONE | typeof FRONT | typeof BACK;
export type FrontFace = typeof CCW | typeof CW; 
export type TextureViewDimension = typeof TextureViewDimensionD1 | typeof TextureViewDimensionD2 | typeof TextureViewDimensionD2Array | typeof TextureViewDimensionCube | typeof TextureViewDimensionCubeArray | typeof TextureViewDimensionD3;
/**
 * typeof TEXTURE_USEAGE_COPY_DST | typeof TEXTURE_USEAGE_COPY_SRC | typeof TEXTURE_USEAGE_BINDING | typeof TEXTURE_USEAGE_STORAGE
 */
export type TextureUsages = number; // = typeof TEXTURE_USEAGE_COPY_DST | typeof TEXTURE_USEAGE_COPY_SRC | typeof TEXTURE_USEAGE_BINDING | typeof TEXTURE_USEAGE_STORAGE;
export type ShaderStage = typeof SHADER_STAGE_NONE | typeof SHADER_STAGE_VERTEX | typeof SHADER_STAGE_FRAGMENT | typeof SHADER_STAGE_COMPUTE | typeof SHADER_STAGE_VERTEXFRAGMENT;
export type PolygonMode = typeof LINES | typeof POINTS | typeof TRIANGLES;
export type TopolygonMode = typeof POINTS | typeof LINE_LOOP | typeof LINE_STRIP | typeof TRIANGLES | typeof TRIANGLE_STRIP;
export type StencilOperation = typeof KEEP | typeof ZERO | typeof REPLACE | typeof INVERT | typeof INCR | typeof INCR_WRAP | typeof DECR | typeof DECR_WRAP;
export type AddressMode = typeof REPEAT | typeof CLAMP_TO_EDGE | typeof MIRRORED_REPEAT;
export type FilterMode = typeof NEAREST | typeof LINEAR;
export type CompareFunction = typeof NEVER | typeof LESS | typeof EQUAL | typeof LEQUAL | typeof GREATER | typeof NOTEQUAL | typeof GEQUAL | typeof ALWAYS;
export type BlendOperation = typeof FUNC_ADD | typeof FUNC_SUBTRACT | typeof FUNC_REVERSE_SUBTRACT | typeof MIN | typeof MAX;
export type BlendFactor = typeof ONE | typeof ZERO | typeof SRC_ALPHA | typeof SRC_COLOR | typeof DST_ALPHA | typeof DST_COLOR | typeof ONE_MINUS_CONSTANT_ALPHA | typeof ONE_MINUS_CONSTANT_COLOR | typeof ONE_MINUS_DST_ALPHA | typeof ONE_MINUS_DST_COLOR | typeof ONE_MINUS_SRC_ALPHA | typeof ONE_MINUS_SRC_COLOR  | typeof CONSTANT_COLOR;
export type RenderFormat = typeof R8 | typeof R8_SNORM | typeof R8UI | typeof R8I
                        | typeof R16UI | typeof R16I | typeof R16F
                        | typeof RG8 | typeof RG8_SNORM | typeof RG8UI | typeof RG8I
                        | typeof R32UI | typeof R32I | typeof R32F
                        | typeof RG16UI | typeof RG16I | typeof RG16F
                        | typeof RGBA8 | typeof RGBA8UI | typeof RGBA8I | typeof RGBA8_SNORM
                        | typeof RGBA8_SRGB | typeof BGRA8 | typeof BGRA8_SRGB
;
export type DepthStencilFormat = typeof NONE | typeof DEPTH24_STENCIL8 | typeof DEPTH32F_STENCIL8 | typeof STENCIL8 | typeof DEPTH16_UNORM | typeof DEPTH24 | typeof DEPTH32F;
export type ScalingMode = typeof SCALING_MODE_HIERARCHY | typeof SCALING_MODE_LOCAL | typeof SCALING_MODE_SHAPE;
export type RenderAlignment = typeof RENDER_ALIGNMENT_VIEW | typeof RENDER_ALIGNMENT_WORLD | typeof RENDER_ALIGNMENT_LOCAL
                        | typeof RENDER_ALIGNMENT_FACING | typeof RENDER_ALIGNMENT_VELOCITY
                        | typeof RENDER_ALIGNMENT_STRENTCHED_BILLBOARD | typeof RENDER_ALIGNMENT_HORIZONTAL_BILLBOARD | typeof RENDER_ALIGNMENT_VERTICAL_BILLBOARD
;
export type AnisotropyClamp = typeof ANISOTROPY_NONE | typeof ANISOTROPY_ONE | typeof ANISOTROPY_TWO | typeof ANISOTROPY_FOUR | typeof ANISOTROPY_EIGHT | typeof ANISOTROPY_SIXTEEN;
export type BorderColor = typeof NONE | typeof BORDER_TRANSPARENT_BLACK | typeof BORDER_OPAQUE_BLACK | typeof BORDER_OPAQUE_WHITE | typeof BORDER_ZERO;
export type VertexAttr = typeof VERTEX_ATTR_POSITION             
                        | typeof VERTEX_ATTR_POSITION_D2          
                        | typeof VERTEX_ATTR_COLOR4               
                        | typeof VERTEX_ATTR_UV                   
                        | typeof VERTEX_ATTR_NORMAL               
                        | typeof VERTEX_ATTR_TANGENT              
                        | typeof VERTEX_ATTR_MATRICESINDICES      
                        | typeof VERTEX_ATTR_MATRICESWEIGHTS      
                        | typeof VERTEX_ATTR_MATRICESINDICESEXTRA 
                        | typeof VERTEX_ATTR_MATRICESWEIGHTSEXTRA 
                        | typeof VERTEX_ATTR_UV2                  
                        | typeof VERTEX_ATTR_UV3                  
                        | typeof VERTEX_ATTR_UV4                  
                        | typeof VERTEX_ATTR_UV5                  
                        | typeof VERTEX_ATTR_UV6                  
                        | typeof VERTEX_ATTR_CUSTOMVEC4A          
                        | typeof VERTEX_ATTR_CUSTOMVEC4B          
                        | typeof VERTEX_ATTR_CUSTOMVEC4C          
                        | typeof VERTEX_ATTR_CUSTOMVEC4D                
                        | typeof VERTEX_ATTR_MATRICESINDICES1     
                        | typeof VERTEX_ATTR_MATRICESWEIGHTS1     
                        | typeof VERTEX_ATTR_MATRICESINDICES2     
                        | typeof VERTEX_ATTR_MATRICESWEIGHTS2     
                        | typeof VERTEX_ATTR_MATRICESINDICESEXTRA2
                        | typeof VERTEX_ATTR_MATRICESWEIGHTSEXTRA2
                        | typeof VERTEX_ATTR_MATRICESINDICES3     
                        | typeof VERTEX_ATTR_MATRICESWEIGHTS3     
                        | typeof VERTEX_ATTR_MATRICESINDICESEXTRA3
                        | typeof VERTEX_ATTR_MATRICESWEIGHTSEXTRA3
;
export type VertexFormat = typeof VERTEX_FORMAT_U8X4 | typeof VERTEX_FORMAT_S8X4 
                        | typeof VERTEX_FORMAT_UNORM8X2 | typeof VERTEX_FORMAT_UNORM8X4 | typeof VERTEX_FORMAT_SNORM8X2 | typeof VERTEX_FORMAT_SNORM8X4
                        | typeof VERTEX_FORMAT_U16X2    | typeof VERTEX_FORMAT_U16X4    | typeof VERTEX_FORMAT_S16X2    | typeof VERTEX_FORMAT_S16X4    
                        | typeof VERTEX_FORMAT_UNORM16X2| typeof VERTEX_FORMAT_UNORM16X4| typeof VERTEX_FORMAT_SNORM16X2| typeof VERTEX_FORMAT_SNORM16X4
                        | typeof VERTEX_FORMAT_F32      | typeof VERTEX_FORMAT_F32X2    | typeof VERTEX_FORMAT_F32X3    | typeof VERTEX_FORMAT_F32X4    
                        | typeof VERTEX_FORMAT_U32      | typeof VERTEX_FORMAT_U32X2    | typeof VERTEX_FORMAT_U32X3    | typeof VERTEX_FORMAT_U32X4    
                        | typeof VERTEX_FORMAT_S32      | typeof VERTEX_FORMAT_S32X2    | typeof VERTEX_FORMAT_S32X3    | typeof VERTEX_FORMAT_S32X4    
                        | typeof VERTEX_FORMAT_F64      | typeof VERTEX_FORMAT_F64X2    | typeof VERTEX_FORMAT_F64X3    | typeof VERTEX_FORMAT_F64X4     
                        | typeof VERTEX_FORMAT_F16X2    | typeof VERTEX_FORMAT_F16X4    
;
export type InstanceAttrFloat = typeof INSTANCE_ATTR_F00 | typeof INSTANCE_ATTR_F01 | typeof INSTANCE_ATTR_F02 | typeof INSTANCE_ATTR_F03
                        | typeof INSTANCE_ATTR_F04 | typeof INSTANCE_ATTR_F05 | typeof INSTANCE_ATTR_F06 | typeof INSTANCE_ATTR_F07
                        | typeof INSTANCE_ATTR_F08 | typeof INSTANCE_ATTR_F09 | typeof INSTANCE_ATTR_F10 | typeof INSTANCE_ATTR_F11
                        | typeof INSTANCE_ATTR_F12 | typeof INSTANCE_ATTR_F13 | typeof INSTANCE_ATTR_F14 | typeof INSTANCE_ATTR_F15
;
export type InstanceState =  typeof INSTANCE_INDEX           
                        | typeof INSTANCE_BASE            
                        | typeof INSTANCE_COLOR           
                        | typeof INSTANCE_TILL_OFF_1      
                        | typeof INSTANCE_SKIN            
                        | typeof INSTANCE_CUSTOM_UVEC4_A  
                        | typeof INSTANCE_CUSTOM_IVEC4_B  
                        | typeof INSTANCE_TILL_OFF_2      
                        | typeof INSTANCE_VELOCITY        
                        | typeof INSTANCE_CUSTOM_VEC4_A   
                        | typeof INSTANCE_CUSTOM_VEC4_B   
                        | typeof INSTANCE_CUSTOM_VEC4_C   
                        | typeof INSTANCE_CUSTOM_VEC4_D   
;
export type BindingState = typeof BIND_SCENE_EFFECT             | typeof BIND_LIGHTING                 | typeof BIND_SHADOWMAP                | typeof BIND_ENVIRONMENT_BRDF_TEXTURE 
                        | typeof BIND_ENVIRONMENT_LIGHTING     | typeof BIND_SCREEN_OPAQUE_TARGET     | typeof BIND_SCREEN_DEPTH_TARGET      | typeof BIND_EFFECT_TEXTURE           
                        | typeof BIND_EFFECT_VALUE             | typeof BIND_VIEWER                   | typeof BIND_MODEL                    
;
export type DefaultTexture = typeof DEFAULT_TEXTURE_BLACK | typeof DEFAULT_TEXTURE_WHITE;

export type BuildinUniformViewer            =  typeof U_VIEW_MATRIX | typeof U_VIEW_ROTATION_MATRIX_INV | typeof U_PROJECT_MATRIX           | typeof U_VIEW_PROJECT_MATRIX      | typeof U_CAMERA_POSITION          | typeof U_CAMERA_DIRECTION ;       
export type BuildinUniformSceneEffect       =  typeof U_TIME  | typeof U_DELTA_TIME   | typeof U_FOG_INFO     | typeof U_FOG_PARAM    | typeof U_AMBIENT_PARAM ;
export type BuildinUniformModel             =  typeof U_WORLD_MATRIX  | typeof U_WORLD_MATRIX_INV| typeof U_VELOCITY        ;
export type BuildinUniformLighting          =  typeof U_LIGHTING_INFOS
            | typeof U_DIRECT_LIGHT_DIRECTION| typeof U_DIRECT_LIGHT_COLOR    | typeof U_POINT_LIGHT_POSITION  
            | typeof U_POINT_LIGHT_COLOR     | typeof U_POINT_LIGHT_DATA      
            | typeof U_SPOT_LIGHT_POSITION   | typeof U_SPOT_LIGHT_COLOR      | typeof U_SPOT_LIGHT_DATA       | typeof U_SPOT_LIGHT_DIRECTION  
            | typeof U_HEMI_LIGHT_POSITION   | typeof U_HEMI_LIGHT_COLOR      | typeof U_HEMI_LIGHT_DATA       | typeof U_HEMI_LIGHT_DIRECTION  ;
export type BuildinUniformShadow            =  typeof U_SHADOWMAP_TEXTURE                        | typeof U_SHADOWMAP_LIGHT_INDEXS  | typeof U_SHADOWMAP_MATRIX        | typeof U_SHADOWMAP_BIAS_ANS_SCALE| typeof U_SHADOWMAP_DEPTH_VALUES  | typeof U_SHADOWMAP_TILLOFF       ;
export type BuildinUniformModelLightIndexs  =  typeof U_MODEL_LIGHTS_COUNT  | typeof U_MODEL_LIGHTS_INDEXS    
            | typeof U_MODEL_DIRECTLIGHT_COUNT| typeof U_MODEL_POINTLIGHT_COUNT | typeof U_MODEL_SPOTLIGHT_COUNT  | typeof U_MODEL_HEMILIGHT_COUNT  
            | typeof U_DIRECT_LIGHT_INDEXS    | typeof U_POINT_LIGHT_INDEXS     | typeof U_SPOT_LIGHT_INDEXS      | typeof U_HEMI_LIGHT_INDEXS      ;
export type BuildinUniformIBL               = typeof U_ENVIRONMENT_TEXUTRE                    
            | typeof U_IBL_X     
            | typeof U_IBL_Y     
            | typeof U_IBL_Z     
            | typeof U_IBL_XY    
            | typeof U_IBL_YZ    
            | typeof U_IBL_ZX    
            | typeof U_IBL_XX_ZZ 
            | typeof U_IBL_YY_ZZ 
            | typeof U_IBL_ZZ    ;
export type BuildinUniformBRDF              =  typeof U_BRDF_TEXUTRE   ;

export type BuildinUniform = BuildinUniformBRDF | BuildinUniformIBL | BuildinUniformLighting | BuildinUniformModel | BuildinUniformModelLightIndexs
            | BuildinUniformSceneEffect | BuildinUniformShadow | BuildinUniformViewer ;

export type IdxTexture = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8;
export interface IUniformTexture {
    name: string;
    initial: DefaultTexture;
}


export type INSTANCE_ATTR = typeof INSTANCE_ATTR_VEC4 | typeof INSTANCE_ATTR_VEC3 | typeof INSTANCE_ATTR_VEC2 | typeof INSTANCE_ATTR_FLOAT| typeof INSTANCE_ATTR_UINT | typeof INSTANCE_ATTR_SINT;




export const CULLING_STRATEGY_ALWAYS    = 0;
export const CULLING_STRATEGY_OPTIMIC   = 1;
export const CULLING_STRATEGY_STANDARD  = 2;
export type CULLING_STRATEGY = typeof CULLING_STRATEGY_ALWAYS | typeof CULLING_STRATEGY_OPTIMIC | typeof CULLING_STRATEGY_STANDARD;
/**
 * This is the default FOV mode for perspective cameras.
 * This setting aligns the upper and lower bounds of the viewport to the upper and lower bounds of the camera frustum.
 */
export const FOVMODE_VERTICAL_FIXED = 0;
/**
 * This setting aligns the left and right bounds of the viewport to the left and right bounds of the camera frustum.
 */
export const FOVMODE_HORIZONTAL_FIXED = 1;
export type CameraFovMode = typeof FOVMODE_VERTICAL_FIXED | typeof FOVMODE_HORIZONTAL_FIXED;
/**
 * This is the default projection mode used by the cameras.
 * It helps recreating a feeling of perspective and better appreciate depth.
 * This is the best way to simulate real life cameras.
 */
export const PERSPECTIVE_CAMERA = 0;
/**
 * This helps creating camera with an orthographic mode.
 * Orthographic is commonly used in engineering as a means to produce object specifications that communicate dimensions unambiguously, each line of 1 unit length (cm, meter..whatever) will appear to have the same length everywhere on the drawing. This allows the drafter to dimension only a subset of lines and let the reader know that other lines of that length on the drawing are also that length in reality. Every parallel line in the drawing is also parallel in the object.
 */
export const ORTHOGRAPHIC_CAMERA = 1;
export type FREECAMERA_MODE = typeof PERSPECTIVE_CAMERA | typeof ORTHOGRAPHIC_CAMERA;

export const ALPHA_DISABLE =  0;
export const ALPHA_ADD =  1;
export const ALPHA_COMBINE =  2;
export const ALPHA_SUBTRACT =  3;
export const ALPHA_MULTIPLY =  4;
export const ALPHA_MAXIMIZED =  5;
export const ALPHA_ONEONE =  6;
export const ALPHA_PREMULTIPLIED =  7;
export const ALPHA_PREMULTIPLIED_PORTERDUFF =  8;
export const ALPHA_INTERPOLATE =  9;
export const ALPHA_SCREENMODE = 10;
export const PI_ALPHA_PREMULTIPLIED = 11;
export const ALPHA_ONEONE_ONEONE = 11;
export const ALPHA_ALPHATOCOLOR = 12;
export const ALPHA_REVERSEONEMINUS = 13;
export const ALPHA_SRC_DSTONEMINUSSRCALPHA = 14;
export const ALPHA_ONEONE_ONEZERO = 15;
export const ALPHA_EXCLUSION = 16;
export const PI_ALPHA_SRCCOLOR_ONE = 20;
export const PI_ALPHA_ONE_ONEMINUSSRCALPHA = 21;
export const PI_ALPHA_SRCCOLOR_ONEMINUSSRCALPHA = 22;
export const PI_ALPHA_SRCCOLOR_ONEMINUSSRCCOLOR = 23;

export type ALPHA_MODE = typeof ALPHA_DISABLE
                        | typeof ALPHA_ADD
                        | typeof ALPHA_COMBINE
                        | typeof ALPHA_SUBTRACT
                        | typeof ALPHA_MULTIPLY
                        | typeof ALPHA_MAXIMIZED
                        | typeof ALPHA_ONEONE
                        | typeof ALPHA_PREMULTIPLIED
                        | typeof ALPHA_PREMULTIPLIED_PORTERDUFF
                        | typeof ALPHA_INTERPOLATE
                        | typeof ALPHA_SCREENMODE
                        | typeof PI_ALPHA_PREMULTIPLIED
                        | typeof ALPHA_ONEONE_ONEONE
                        | typeof ALPHA_ALPHATOCOLOR
                        | typeof ALPHA_REVERSEONEMINUS
                        | typeof ALPHA_SRC_DSTONEMINUSSRCALPHA
                        | typeof ALPHA_ONEONE_ONEZERO
                        | typeof ALPHA_EXCLUSION
                        | typeof PI_ALPHA_SRCCOLOR_ONE
                        | typeof PI_ALPHA_ONE_ONEMINUSSRCALPHA
                        | typeof PI_ALPHA_SRCCOLOR_ONEMINUSSRCALPHA
                        | typeof PI_ALPHA_SRCCOLOR_ONEMINUSSRCCOLOR
;

}