export interface IVector2 {
    x: number;
    y: number;
}
export interface IVector3 {
    x: number;
    y: number;
    z: number;
    _x: number;
    _y: number;
    _z: number;
}
export interface IVector4 {
    x: number;
    y: number;
    z: number;
    w: number;
    _x: number;
    _y: number;
    _z: number;
    _w: number;
}
export interface IColor3 {
    r: number;
    g: number;
    b: number;
}
export interface IColor4 {
    r: number;
    g: number;
    b: number;
    a: number;
}
export interface IQuaternion {
    x: number;
    y: number;
    z: number;
    w: number;
    _x: number;
    _y: number;
    _z: number;
    _w: number;
}
export interface IMatrix {
    m: ArrayLike<number>;
}