
export interface IResourceState {
    _0_count_bindbuffer: number,
    _1_count_bindgroup: number,
    _2_count_gltf: number,
    _3_count_imgtexture: number,
    _4_count_shader: number,
    _5_count_pipeline: number,
    _6_size_vertexbuffer: number;
    _7_count_vertexbuffer: number,
    _8_count_shadermeta: number;
    _9_mem_shadermeta: number;
    _10_mem_shader: number;
    _11_mem_bindbuffer: number;
    _12_mem_imgtexture: number;
    
    _14_count_passset0: number;
    _15_count_passset1: number;
    _16_count_passset2: number;
    _17_count_passbindgroups: number;
    _18_count_passshader: number;
    _19_count_passpipeline: number;
    _20_count_passdraw: number;

    _21_count_passmat: number,
    _22_count_passtexs: number,
    _23_count_vertex: number,
}

export interface IMaterialState {
    _13_count_material: number;

    _31_count_material_tex3: number;
    _32_count_material_tex3_ok: number;
    _33_count_material_tex4: number;
    _34_count_material_tex4_ok: number;
}

export interface ISceneState {
    _0_drawcalls: number,
    _1_count_vertex: number,
    _2_count_particlesystem: number,
    _3_count_particles: number,
    _4_count_animationgroup: number,
    _5_count_trail: number,
    _6_count_trail_points: number,
}

export interface IPerformance {
    _0_animation: number,
    _1_animationgroup: number,
    _2_particlesystem: number,
    _3_worldmatrix: number,
    _4_culling: number,
    _5_gltfanaly: number,
    _6_drawobjs: number,
    _7_uniformupdate: number,
    _8_uniformbufferupdate: number,
    _9_trailrenderer: number,
}

export interface IMeshState {
    _0_abstruct_mesh_count: number,
    _1_abstruct_mesh_count_enable: number,
    _2_mesh_count: number,
    _3_mesh_count_geometry_ready: number,
    _4_instance: number,
}

export interface IMaterialState2 {
    _0_count: number,
    _1_ready: number,
    _2_tex0: number,
    _3_tex0_ready: number,
    _4_tex1: number,
    _5_tex1_ready: number,
    _6_tex2: number,
    _7_tex2_ready: number,
    _8_tex3: number,
    _9_tex3_ready: number,
    _10_tex4: number,
    _11_tex4_ready: number,
    _12_tex5: number,
    _13_tex5_ready: number,
    _14_tex6: number,
    _15_tex6_ready: number,
}

export interface ITransformState {
    _0_count: number,
    _1_enable: number,
    _2_global_eanble: number,
    _3_calc_local_matrix: number,
    _4_calc_world_matrix: number,
    _5_max_level: number,
}

export interface ICameraState {
    _0_includes: number,
    _1_culling: number,
    _2_culling_time: number,
}

export interface ITextureLoaderState {
    _0_image_count: number;
    _1_image_fail: number;
    _2_image_success: number;
    _3_image_waiting: number;
    _4_texview_count: number;
    _5_texview_fail: number;
    _6_texview_success: number;
    _7_texview_waiting: number;
    _8_imgtexture: number;
    _9_imgtexture_mem: number;
    _10_imgtextureview: number;
    _11_imgtextureview_mem: number;
}

export interface IErrorState {
    entity: number,
    error: number,
}
