
import { IParticle } from "../particle_base";
import { Color4Interpolate, IParticleModifier, ScalingInterpolate, TempVector3A, TranslationInterpolate } from "./base";

export class StartColor extends Color4Interpolate implements IParticleModifier {
    modify(particle: IParticle, amount: number, deltaSeconds: number) {
        this.compute(amount, particle.startColor, Math.random());
        particle.color.copyFrom(particle.startColor);
    }
}