
import { IParticle } from "../particle_base";
import { IParticleModifier, ScalingInterpolate, TempVector3A, TranslationInterpolate } from "./base";

export class StartSize extends ScalingInterpolate implements IParticleModifier {
    modify(particle: IParticle, amount: number, deltaSeconds: number) {
        this.compute(amount, particle.baseRandom, particle.startScaling);
        particle.scaling.copyFrom(particle.startScaling);
    }
}