
import { IParticle } from "../particle_base";
import { IParticleModifier, ScalingInterpolate, TempVector3A, TranslationInterpolate } from "./base";

export class StartSpeed extends TranslationInterpolate implements IParticleModifier {
    modify(particle: IParticle, amount: number, deltaSeconds: number) {
        this.compute(amount, particle.baseRandom, particle.startWorldMatrixInvert, particle.direction);
    }
}