import { BABYLON } from '../babylon';

// tslint:disable-next-line:max-func-body-length
export const initRuntimeAnimation = () => {

    BABYLON.RuntimeAnimation.prototype.dispose = function () {
        // tslint:disable-next-line:no-invalid-this
        const index = this._animation.runtimeAnimations.indexOf(this);

        if (index > -1) {
            // tslint:disable-next-line:no-invalid-this
            this._animation.runtimeAnimations.splice(index, 1);
        }

        // tslint:disable-next-line:no-invalid-this
        this._keys = null;
    };
};