import { BABYLON } from "../render3d/babylon";
import { ITrail } from "./interface";

export class Trail extends BABYLON.Mesh implements ITrail {
    private _age: number = 0;

    public set age(ms: number) {
        this._age = ms;
    }
    public get age() {
        return this._age;
    }

    constructor(
        name: string,
        scene: BABYLON.Scene,
        public readonly linkTransform: BABYLON.Node
    ) {
        super(name, scene);
        // this.scene.onBeforeRenderObservable.add(this._update);
    }
    // private _update = () => {
    //     this._age += this.scene.deltaTime;
    // }
    dispose(): void {
        // this.scene.onBeforeRenderObservable.removeCallback(this._update);
        super.dispose();
    }
}